program longtest;

var
  R : LongReal;
  O : Real;
  SR, SO: String ( 30 );

begin
  R := 3.0;
  O := R;
  WriteStr ( SR, Real ( R ) );
  WriteStr ( SO, O );
  if SR = SO then
    writeln ( 'OK' )
  else
    begin
      writeln ( SR );
      writeln ( SO );
    end (* else *);
end.
